26Q0007 RFC-002 RESPONSE.pdf
PDF 126 KB Posted
- Attached to
- NEWPORT RI POTS REPLACEMENT SOLUTION Federal contract opportunity
- Solicitation number
- N7027226Q0007
About this file
This is a Request for Specification Clarification (RFC 002) document for federal contract N7027226Q0007, the Newport Rhode Island Telecom Solution. The RFC addresses questions regarding SIM card sourcing and carrier options for a POTS (Plain Old Telephone Service) replacement solution referenced in PWS Section 2.5. The document indicates that all RFCs must be submitted no later than 22 February 2026 or earlier. The clarification pertains to FirstNet SIM availability and alternative carrier diversity solutions.
The Navy provided two key determinations in response to contractor inquiries: First, the Navy will not source FirstNet SIMs on behalf of the POTS replacement provider, rejecting a proposal that would have enabled broader competition and potentially better pricing. Second, the Navy will permit alternative solutions that include two SIMs from two different providers as an alternative to FirstNet, thereby providing carrier diversity and greater service availability. This clarification establishes the acceptable technical approaches for responding contractors while maintaining flexibility in solution design through the dual-carrier option.
View the file
Other files for this federal contract opportunity
| File | Type | Posted |
|---|---|---|
| 26Q0007 RFC-003 RESPONSE.pdf | ||
| 26Q0007-0001 RFQ.docx | DOCX document | |
| 26Q0007 RFC-001 RESPONSE.pdf | ||
| 26Q0007 RFQ.docx | DOCX document | |
| 26Q0007 ANNEX B TECH EVAL FACTORS.docx | DOCX document | |
| 26Q0007 ANNEX C PRICING.xlsx | XLSX spreadsheet | |
| 26Q0007 RFC TEMPLATE.docx | DOCX document | |
| 26Q0007 ANNEX A PWS.docx | DOCX document |
On GovTribe
Work with this file on GovTribe
- Download the original file
- Contacts named in this file
- Similar government files
- Ask GovTribe AI about this file
Text version
N7027226Q0007
NEWPORT RHODE ISLAND TELECOM SOLUTION
ALL RFC’S TO BE SUBMITTED NLT 22 FEBRUARY 2026 OR EARLIER
ATTACHMENT J - 8
REQUEST FOR SPECIFICATION CLARIFICATION
RFC 002
NAME OF CONTRACTOR:
SPECIFICATION ITEM NO.: Notice ID No. N7027226Q0007_____________________
PARAGRAPH / SECTION NO: PWS, Section 2.5, Page 1
TITLE: Newport, RI POTS Replacement Solution
QUESTION:
1. Since AT&T is the only company that can provide FirstNet, would the Navy consider sourcing the FirstNet sims on behalf of the POTS replacement provider?
This will allow for real competition, better pricing, and more solution options.
2. Would the Navy allow a solution that includes two SIMs from two different providers as an alternative to FirstNet? This would give the Navy carrier diversity and a level of availability far greater than FirstNet alone.
ANSWER:
1. No, the Navy will not consider sourcing the FirstNet Sims.
2. Yes, the Navy would allow a solution that includes two SIMs from two different providers as an alternative.
N7027226Q0007
NEWPORT RHODE ISLAND TELECOM SOLUTION
ALL RFC’S TO BE SUBMITTED NLT 22 FEBRUARY 2026 OR EARLIER
ATTACHMENT J - 8
File details come from the government source that posted it. Updated .